View Issue Details

IDProjectCategoryView StatusLast Update
0031408RunnerHTML5Public2019-10-08 13:59
ReporterScott DunbarAssigned ToRussell Kay 
PriorityHighSeverityC - GeneralReproducibility100%
Status ClosedResolutionFixed 
PlatformHTML5OSOS Version
Product Version2.2.4 
Target Version2.2.4Fixed in Version2.2.4 
Summary0031408: HTML5: if() comparison can differ from Windows
Description"if(var)" still compiles to "if(var > 0.5)" which means it can produce wrong results in some few cases

Steps To Reproduce1. import attached project
2. run for windows
3. observe the two messages that are shown
4. run for html5
5. observe only one message is shown
TagsNo tags attached.
1.4 Found In
2.x Runtime Found In2.2.4.362
2.x Runtime Verified In2.2.4.364

Activities

Scott Dunbar

2019-10-04 10:07

Adminstrator  

ifbug.yyz (11,961 bytes)

Russell Kay

2019-10-07 14:25

Manager   ~0064918

Fixed in gitlab

Dan

2019-10-08 11:06

Adminstrator   ~0064920

Runtime 364+

Scott Dunbar

2019-10-08 13:59

Adminstrator   ~0064925

Verified fixed